OratoraDocs
APIReferenceSessions

Open a session for joining

POST
/sessions/{id}/open

Opens a session so participants can join. Returns the join code plus participant and screen URLs.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Session id.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sessions/string/open"
{  "session": {    "id": "string",    "title": "string",    "status": "draft",    "mode": "live",    "joinCode": "string",    "joinUrl": "http://example.com",    "screenUrl": "http://example.com",    "createdAt": "2019-08-24T14:15:22Z",    "activities": [      {        "id": "string",        "kind": "poll",        "config": {},        "order": 0      }    ]  }}